=== modified file 'docs/date_time_data_types.rst'
--- docs/date_time_data_types.rst	2011-01-12 20:59:15 +0000
+++ docs/date_time_data_types.rst	2011-01-12 22:30:42 +0000
@@ -1,7 +1,7 @@
 Date and Time Data Types
 ========================
 
-Drizzle supports a complete set of SQL date and time types; operations available on these data types are described in the next section, on Functions.
+Of the SQL date and time types, Drizzle supports:
 
 **Date/Time Types**
 
@@ -17,5 +17,30 @@
 |DATETIME    |'0001-01-01 00:00:00'      |'9999-12-31 23:59:59'  |both date and time      |8 bytes        |1 microsecond  |
 +------------+---------------------------+-----------------------+------------------------+---------------+---------------+
 
+TIMESTAMP
+---------
+
+To create a TIMESTAMP column that uses microseconds you simply need to specify TIMESTAMP(6) in your table definition, for example: ::
+
+	CREATE TABLE `t1` (
+	`a` INT DEFAULT NULL,
+	`b` TIMESTAMP(6) NULL DEFAULT NULL
+	) ENGINE=InnoDB
+
+You can then use the following (but note that ON DEFAULT/UPDATE CURRENT_TIMESTAMP works with microseconds as well): ::
+
+	insert into t1 values (1, '2010-01-10 07:32:43.234567');
+
+The new table now looks like this:
+
++------+----------------------------+
+|a     |b                           |
++------+----------------------------+
+|1     |2010-01-10 07:32:43.234567  |
++------+----------------------------+
+
+TIME
+----
+
 Drizzle's TIME data type has a range of 00:00:00 - 24:59:59, while MySQL's TIME data type has a range of -838:59:59 - 838:59:59.
 To prevent data loss to this type when converting from MySQL -> Drizzle, the conversion changes TIME to an INT of the number of seconds. For example, 00:00:00 becomes 0, 01:00:00 becomes 3600, and -01:00:00 becomes -3600.
\ No newline at end of file

